Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v1
Class ASSIGNMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.bpel.rtrep.v1.ASSIGNMessages

    public class ASSIGNMessages

extends MessageBundle

Internationalization for messages related to assignment.

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`ASSIGNMessages()`

Method Summary
`java.lang.String` | `msgEmptyRValue()` The R-Value must select one item.
`java.lang.String` | `msgEvalException(java.lang.String expr, java.lang.String msg)` An exception occured while evaluating "{0}": {1}
`java.lang.String` | `msgInternalError(java.lang.String msg)` InternalError: Unexpected selection failure (contact tech support): {0}
`java.lang.String` | `msgInvalidLValue()` The L-Value must be a text information item (TII), element information item (EII), or attribute information item (AII).
`java.lang.String` | `msgInvalidRValue()` The R-Value must be a text information item (TII) or element information item (EII).
`java.lang.String` | `msgLiteralContainsMixedContent()` A literal must not contain mixed content.
`java.lang.String` | `msgLiteralContainsMultipleEIIs()` A literal must not contain more than one element information item (EII).
`java.lang.String` | `msgLiteralMustContainTIIorEII()` A literal must contain either a text information item (TII) or a single element information item (EII).
`java.lang.String` | `msgRValueMultipleNodesSelected(java.lang.String rvalue)` R-Value expression "{0}" returned multiple nodes.
`java.lang.String` | `msgRValueNoNodesSelected(java.lang.String rvalue)` R-Value expression "{0}" did not select any nodes.

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ASSIGNMessages

    public ASSIGNMessages()

Method Detail

### msgRValueMultipleNodesSelected

    public java.lang.String msgRValueMultipleNodesSelected(java.lang.String rvalue)

  R-Value expression "{0}" returned multiple nodes.

### msgRValueNoNodesSelected

    public java.lang.String msgRValueNoNodesSelected(java.lang.String rvalue)

  R-Value expression "{0}" did not select any nodes.

### msgLiteralContainsMultipleEIIs

    public java.lang.String msgLiteralContainsMultipleEIIs()

  A literal must not contain more than one element information item (EII).

### msgLiteralContainsMixedContent

    public java.lang.String msgLiteralContainsMixedContent()

  A literal must not contain mixed content.

### msgLiteralMustContainTIIorEII

    public java.lang.String msgLiteralMustContainTIIorEII()

  A literal must contain either a text information item (TII) or a single element information item (EII).

### msgInternalError

    public java.lang.String msgInternalError(java.lang.String msg)

  InternalError: Unexpected selection failure (contact tech support): {0}

### msgEvalException

    public java.lang.String msgEvalException(java.lang.String expr,
                                             java.lang.String msg)

  An exception occured while evaluating "{0}": {1}

### msgEmptyRValue

    public java.lang.String msgEmptyRValue()

  The R-Value must select one item.

### msgInvalidRValue

    public java.lang.String msgInvalidRValue()

  The R-Value must be a text information item (TII) or element information item (EII).

### msgInvalidLValue

    public java.lang.String msgInvalidLValue()

  The L-Value must be a text information item (TII), element information item (EII), or attribute information item (AII).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD